Bug 2650 - [UPDATE REQUEST] New network stack - Network scripst, ModemManager, wpa_supplicant, NM, NM-applets and plugins
: [UPDATE REQUEST] New network stack - Network scripst, ModemManager, wpa_suppl...
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: High critical
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 21:11 MSD by Aleksandr Kazantcev
Modified: 2013-09-23 15:15 MSD (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
mm1.txt (7.96 KB, text/plain)
2013-09-05 08:36 MSD, Postnikov Dmitry
Details
mm2.txt (23.16 KB, text/plain)
2013-09-05 16:02 MSD, Postnikov Dmitry
Details
mm3.png (164.50 KB, image/png)
2013-09-05 16:18 MSD, Postnikov Dmitry
Details
reportNM.odt (19.55 KB, application/vnd.oasis.opendocument.text)
2013-09-06 12:30 MSD, Postnikov Dmitry
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksandr Kazantcev 2013-09-04 21:11:47 MSD
New network stack
Comment 1 Aleksandr Kazantcev 2013-09-04 21:18:21 MSD
Initscripts
https://abf.rosalinux.ru/build_lists/1243012
https://abf.rosalinux.ru/build_lists/1243013

Systemd (need for ModemManager and initscripts)
https://abf.rosalinux.ru/build_lists/1242688
https://abf.rosalinux.ru/build_lists/1242689

ModemManager
https://abf.rosalinux.ru/build_lists/1242932
https://abf.rosalinux.ru/build_lists/1242933

wpa_supplicant
https://abf.rosalinux.ru/build_lists/1243272
https://abf.rosalinux.ru/build_lists/1243273

NetworkManager
https://abf.rosalinux.ru/build_lists/1243290
https://abf.rosalinux.ru/build_lists/1243291

Knetworkmanager
https://abf.rosalinux.ru/build_lists/1243312
https://abf.rosalinux.ru/build_lists/1243313

GTK-applets (LXDE and GNOME only)
NM-applet
https://abf.rosalinux.ru/build_lists/1243306
https://abf.rosalinux.ru/build_lists/1243307

networkmanager-pptp
https://abf.rosalinux.ru/build_lists/1243319
https://abf.rosalinux.ru/build_lists/1243320

networkmanager-vpnc
https://abf.rosalinux.ru/build_lists/1243327
https://abf.rosalinux.ru/build_lists/1244059

networkmanager-openvpn
https://abf.rosalinux.ru/build_lists/1243321
https://abf.rosalinux.ru/build_lists/1243322

networkmanager-openswan
https://abf.rosalinux.ru/build_lists/1244049
https://abf.rosalinux.ru/build_lists/1244050

networkmanager-l2tp
https://abf.rosalinux.ru/build_lists/1244054
https://abf.rosalinux.ru/build_lists/1244055

Advisory: Update ModemManager for 1.0.0 version with new API and QMI support. Also fix systemd integration. Via this update we need rebuild wpa_supplicant and build new version of NM - 0.9.8.2 - with needing applets (gtk and KDE) and plugins. Also network scripts now support systemd too.
Comment 2 Postnikov Dmitry 2013-09-05 08:36:05 MSD
Created attachment 1894 [details]
mm1.txt

As well as errors and modem not working. KDE R1 x64.
(This log - insert usb-modem)

===============
[root@mindlife2 pastordi]# systemctl status ModemManager
ModemManager.service - Modem Manager
          Loaded: loaded (/lib/systemd/system/ModemManager.service; disabled)
          Active: inactive (dead)
          CGroup: name=systemd:/system/ModemManager.service

[root@mindlife2 pastordi]# systemctl status dbus-org.freedesktop.ModemManager1
Failed to issue method call: Unit name dbus-org.freedesktop.ModemManager1 is not valid.
[root@mindlife2 pastordi]# rpm -qa | grep -i modemmanager
modemmanager-glib-1.0.0-7-rosa2012.1.x86_64
modemmanager-1.0.0-7-rosa2012.1.x86_64
[root@mindlife2 pastordi]# rpm -qa | grep -i network
python-qt4-network-4.9.6-1-rosa2012.1.x86_64
lib64qtnetwork4-4.8.5-5-rosa2012.1.x86_64
lib64molletnetwork4-4.10.5-1-rosa2012.1.x86_64
lib64glib-networking-2.36.2-1-rosa2012.1.x86_64
glib-networking-2.36.2-1-rosa2012.1.x86_64
networkmanager-0.9.8.2-2-rosa2012.1.x86_64
networkmanager-openvpn-0.9.8.2-1-rosa2012.1.x86_64
knetworkmanager-common-0.9.0.9-1-rosa2012.1.x86_64
knetworkmanager-pptp-0.9.0.9-1-rosa2012.1.x86_64
networkmanager-vpnc-0.9.8.2-1-rosa2012.1.x86_64
networkmanager-pptp-0.9.8.2-1-rosa2012.1.x86_64
plasma-applet-networkmanagement-0.9.0.9-1-rosa2012.1.x86_64
[root@mindlife2 pastordi]#
[root@mindlife2 pastordi]# rpm -qa | grep -i systemd
lib64systemd-login0-194-26-rosa2012.1.x86_64
lib64systemd-journal0-194-26-rosa2012.1.x86_64
lib64systemd-daemon0-194-26-rosa2012.1.x86_64
lib64systemd-id1280-194-26-rosa2012.1.x86_64
systemd-sysvinit-194-26-rosa2012.1.x86_64
systemd-194-26-rosa2012.1.x86_64
systemd-units-194-26-rosa2012.1.x86_64
[root@mindlife2 pastordi]#
============
Comment 3 Aleksandr Kazantcev 2013-09-05 12:32:13 MSD
ModemManager not started properly due some problem.

Please update system with urpmi --debug options or simple reinstall modemmanger via

 urpmi --replacepkg --debug modemmanager

and get output
Comment 4 Aleksandr Kazantcev 2013-09-05 14:22:13 MSD
If modemamanger not start or modem not work, please install instead first link this package: 

ModemManager
https://abf.rosalinux.ru/build_lists/1244324
https://abf.rosalinux.ru/build_lists/1244325
Comment 5 Postnikov Dmitry 2013-09-05 15:59:02 MSD
(In reply to comment #4)
> If modemamanger not start or modem not work, please install instead first
> link this package: 
> 
> ModemManager
> https://abf.rosalinux.ru/build_lists/1244324
> https://abf.rosalinux.ru/build_lists/1244325

Yes. All work.
Comment 6 Postnikov Dmitry 2013-09-05 16:02:17 MSD
Created attachment 1897 [details]
mm2.txt

This log connect modem. All work. But has warning.


And status ModemManager
===========
Befor connect probider:
[root@mindlife2 pastordi]# systemctl status ModemManager
ModemManager.service - Modem Manager
          Loaded: loaded (/lib/systemd/system/ModemManager.service; enabled)
          Active: active (running) since Thu, 05 Sep 2013 15:44:20 +0400; 11min ago
        Main PID: 3383 (ModemManager)
          CGroup: name=systemd:/system/ModemManager.service
                  └ 3383 /usr/sbin/ModemManager

Sep 05 15:52:27 mindlife2 ModemManager[3383]: [/dev/cdc-wdm0] Registered 'nas' (version 1.0) client with ID '1'
Sep 05 15:52:27 mindlife2 ModemManager[3383]: <warn>  (ttyUSB2): port attributes not fully set
Sep 05 15:52:28 mindlife2 ModemManager[3383]: <warn>  couldn't load Supported Bands: 'QMI operation failed: Cannot send message: QMI service 'dms' version '1.3' required, got version '1.2''
Sep 05 15:52:28 mindlife2 ModemManager[3383]: <warn>  couldn't load Power State: 'Unhandled power state: 'unknown' (255)'
Sep 05 15:52:28 mindlife2 ModemManager[3383]: <warn>  couldn't load SIM identifier: 'QMI operation failed: Cannot send message: QMI service 'dms' version '1.3' required, got version '1.2''
Sep 05 15:52:28 mindlife2 ModemManager[3383]: <warn>  couldn't load IMSI: 'QMI operation failed: Cannot send message: QMI service 'dms' version '1.3' required, got version '1.2''
Sep 05 15:52:28 mindlife2 ModemManager[3383]: <warn>  couldn't load list of Own Numbers: 'Couldn't get MSISDN: QMI protocol error (16): 'NotProvisioned''
Sep 05 15:52:28 mindlife2 ModemManager[3383]: <warn>  couldn't load current allowed/preferred modes: 'Loading current modes is not supported by this device'
Sep 05 15:52:28 mindlife2 ModemManager[3383]: <warn>  couldn't load current Bands: 'QMI operation failed: Cannot send message: QMI service 'nas' version '1.1' required, got version '1.0''
Sep 05 15:52:28 mindlife2 ModemManager[3383]: <info>  Modem: state changed (unknown -> disabled)
[root@mindlife2 pastordi]#

----------------
After connect provider:

[root@mindlife2 pastordi]# systemctl status ModemManager
ModemManager.service - Modem Manager
          Loaded: loaded (/lib/systemd/system/ModemManager.service; enabled)
          Active: active (running) since Thu, 05 Sep 2013 15:44:20 +0400; 16min ago
        Main PID: 3383 (ModemManager)
          CGroup: name=systemd:/system/ModemManager.service
                  └ 3383 /usr/sbin/ModemManager

Sep 05 15:57:47 mindlife2 ModemManager[3383]: [/dev/cdc-wdm0] Registered 'wds' (version 1.3) client with ID '1'
Sep 05 15:57:50 mindlife2 ModemManager[3383]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: state changed (connecting -> connected)
Sep 05 15:57:50 mindlife2 ModemManager[3383]: <info>  Simple connect state (8/8): All done
Sep 05 15:58:17 mindlife2 ModemManager[3383]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: signal quality updated (38)
Sep 05 15:58:47 mindlife2 ModemManager[3383]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: signal quality updated (38)
Sep 05 15:59:00 mindlife2 ModemManager[3383]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: signal quality updated (50)
Sep 05 15:59:17 mindlife2 ModemManager[3383]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: signal quality updated (50)
Sep 05 15:59:47 mindlife2 ModemManager[3383]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: signal quality updated (50)
Sep 05 16:00:17 mindlife2 ModemManager[3383]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: signal quality updated (50)
Sep 05 16:00:47 mindlife2 ModemManager[3383]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: signal quality updated (50)
[root@mindlife2 pastordi]#
====================
Comment 7 Postnikov Dmitry 2013-09-05 16:18:04 MSD
Created attachment 1898 [details]
mm3.png

But in NM don't show MAC, Operator, Signal etc.
Comment 8 Postnikov Dmitry 2013-09-06 12:30:00 MSD
Created attachment 1902 [details]
reportNM.odt

***********************
Extended testing report
***********************
Comment 9 Aleksandr Kazantcev 2013-09-06 12:50:53 MSD
Сейчас главное общая работа - на ворнинги network и dispatcher пока внимания не оьращаем, как и на отображение модема. Это поправим в следующих апдейтах чтобы не путаться в сборках. То есть главное чтобы корректно сетка перключалась и включалась. Далее быстро дофиксим. Обновление просто сложное.
Comment 10 Vladimir Potapov 2013-09-06 14:35:35 MSD
(In reply to comment #9)
> Сейчас главное общая работа - на ворнинги network и dispatcher пока внимания
> не оьращаем, как и на отображение модема. Это поправим в следующих апдейтах
> чтобы не путаться в сборках. То есть главное чтобы корректно сетка
> перключалась и включалась. Далее быстро дофиксим. Обновление просто сложное.
А что это обновление даст пользователю хорошего?
Comment 11 Aleksandr Kazantcev 2013-09-18 22:07:47 MSD
See advisory - common part is new ModemManager with systemd suppot and new qmi modem support (all latest modems, include qmi). All other package rebuild because they did depend from ModemManager.
Comment 12 Vladimir Potapov 2013-09-22 12:12:36 MSD
initscripts-9.34-10-rosa2012.1
systemd-194-26-rosa2012.1
wpa_supplicant-1.1-3-rosa2012.1
networkmanager-0.9.8.2-2-rosa2012.1
knetworkmanager-0.9.0.9-1-rosa2012.1
networkmanager-applet-0.9.8.2-1-rosa2012.1
networkmanager-pptp-0.9.8.2-1-rosa2012.1
networkmanager-vpnc-0.9.8.2-1-rosa2012.1
networkmanager-openvpn-0.9.8.2-1-rosa2012.1
networkmanager-openswan-0.9.8.0-3-rosa2012.1
NetworkManager-l2tp-0.9.6-2-rosa2012.1
modemmanager-1.0.0-8-rosa2012.1
**************************** Advisory ******************
Update ModemManager for 1.0.0 version with new API and QMI support. Also fix systemd integration. Via this update we need rebuild wpa_supplicant and build new version of NM - 0.9.8.2 - with needing applets (gtk and KDE) and plugins. Also network scripts now support systemd too.
********************************************************
QA Verified